<template>
  <div>
    <h3>Get products from hesham</h3>
    <i>{{ postId }}</i>
  </div>
</template>

<script>
export default {
  name: "HeshamComponents",
  data: function() {
    return {
      postId: []
    };
  },
  methods: {
    created() {
      const requestOptions = {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({
          paramlist: "{paramlist: { filter: [], need: [] } }"
        })
      };
      fetch(
        "http://68.183.126.17:4001/post/tara_test/admin/admin/res.partner/search_read",
        requestOptions
      )
        .then(response => response.json())
        .then(data => (this.postId = data.id));
    }
  }
};
</script>
